---
comments: true
description: Discover the enhanced features of Ultralytics HUB Pro Plan including 200GB storage, cloud training, and more. Learn how to upgrade and manage your account balance.
keywords: Ultralytics HUB, Pro Plan, upgrade guide, cloud training, storage, inference API, team collaboration, account balance
---

# Ultralytics HUB Pro

[Ultralytics HUB](https://www.ultralytics.com/hub) offers the Pro Plan as a monthly or annual subscription, designed to enhance your AI development experience with premium features and capabilities.

## Pro Plan Benefits

The Pro Plan provides early access to upcoming features and includes several enhanced benefits:

- **Expanded Storage**: 200GB of storage, compared to the standard 20GB in the free plan
- **Cloud Training**: Access to [Ultralytics Cloud Training](./cloud-training.md) for one-click model training
- **Advanced API Access**:
    - Access to our [Dedicated Inference API](./inference-api.md#dedicated-inference-api)
    - Increased rate limits for our [Shared Inference API](./inference-api.md#shared-inference-api)
- **Team Collaboration**: Features for [team collaboration](./teams.md) to streamline workflows
- **Monthly Credits**: \$20 monthly credits (or \$200 yearly) to cover training costs

## How to Upgrade

You can upgrade to the Pro Plan from the [Billing & License](https://hub.ultralytics.com/settings?tab=billing) tab on the [Settings](https://hub.ultralytics.com/settings) page by following these steps:

1.  Click on the **Upgrade** button

    ![Ultralytics HUB screenshot of the Settings page Billing & License tab with an arrow pointing to the Upgrade button](https://github.com/ultralytics/docs/releases/download/0/ultralytics-hub-settings-upgrade-button.avif)

2.  Select the Pro Plan

    ![Ultralytics HUB screenshot of the Upgrade dialog with an arrow pointing to the Select Plan button](https://github.com/ultralytics/docs/releases/download/0/hub-pro-upgrade-select-plan.avif)

    !!! tip

        You can save 20% if you choose the annual Pro Plan.

        ![Ultralytics HUB screenshot of the Upgrade dialog with an arrow pointing to the Save 20% toggle and one to the Select Plan button](https://github.com/ultralytics/docs/releases/download/0/hub-pro-upgrade-save-20-toggle.avif)

3.  Fill in your details during the checkout

    ![Ultralytics HUB screenshot of the Checkout with an arrow pointing to the checkbox for saving the payment information for future purchases](https://github.com/ultralytics/docs/releases/download/0/hub-pro-upgrade-save-payment-info.avif)

    !!! tip

         We recommend ticking the checkbox to save your payment information for future purchases, facilitating easier top-ups to your account balance.

4.  Complete the payment process

    ![Ultralytics HUB screenshot of the Payment Successful dialog](https://github.com/ultralytics/docs/releases/download/0/payment-successful-dialog.avif)

## Managing Your Account Balance

The account balance is used to pay for [Ultralytics Cloud Training](./cloud-training.md) resources. When using the Epochs training method, your account balance is deducted after every [epoch](https://www.ultralytics.com/glossary/epoch), and you'll need a minimum balance of $5.00 to start training.

### How to Top Up Your Balance

1. Click on the **Top-Up** button in the Billing & License tab

    ![Ultralytics HUB screenshot of the Settings page Billing & License tab with an arrow pointing to the Top-Up button](https://github.com/ultralytics/docs/releases/download/0/hub-pro-account-balance-top-up-button.avif)

2. Set the amount you want to add to your balance

    ![Ultralytics HUB screenshot of the Checkout with an arrow pointing to the Change amount button](https://github.com/ultralytics/docs/releases/download/0/hub-pro-account-balance-change-amount.avif)

3. Complete the payment process

    ![Ultralytics HUB screenshot of the Payment Successful dialog](https://github.com/ultralytics/docs/releases/download/0/payment-successful-dialog-1.avif)
